document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Parallax effect for blob animation
  window.addEventListener('scroll', () => {
    const blob = document.querySelector('.blob-animation');
    const scrolled = window.pageYOffset;
    blob.style.transform = `translate(${scrolled * 0.1}px, ${scrolled * 0.1}px)`;
  });

  // Form submission handler
  const form = document.getElementById('contact-form');
  form.addEventListener('submit', (e) => {
    e.preventDefault();
    // Add form submission logic here
    form.reset();
  });

  // Animate design items on scroll
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateY(0)';
      }
    });
  });

  document.querySelectorAll('.design-item').forEach((item) => {
    item.style.opacity = 0;
    item.style.transform = 'translateY(20px)';
    observer.observe(item);
  });
});
